<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\KursPlanung;

class WssFieldKursplanungVerlauf extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  protected function getFieldBearbeitbar($datamodulWert, $isFormular, string $requestPrefix = '')
  {
    $feld = parent::getFieldBearbeitbar($datamodulWert, $isFormular, $requestPrefix);
    $hinterlegung = $this->getHinterlegung();

    return $feld . $hinterlegung;
  }

  private function getHinterlegung()
  {
    $buttonStyle = 'position: absolute; right: 20px; top: -3px; font-size: 27px; color: #555; cursor:pointer;';
    $inputIds = array($this->datamodulColumn->datamodul . '_' . $this->datamodulColumn->fieldname);

    return \PageButtonsAPI::getHinterlegungSymbol(\HLDispatcher::HL_VERLAUFKZ, $inputIds, 'button_hl_verlauf', $buttonStyle, 'hlverlauf_div', 'Verlauf');
  }

  public function getDefaultMaxLength(): ?int
  {
    return 1;
  }
}